package com.ruoyi.system.domain.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;

import java.util.Date;

public class DataAlarmListDto {

    private static final long serialVersionUID = 1L;

    /** 告警内容 */
    @Excel(name = "告警内容")
    private Integer status_type;

    /** 告警内容 */
    @Excel(name = "告警内容")
    private Integer alarm_type;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 电话 */
    @Excel(name = "电话")
    private String tel_one;

    /** 地址 */
    @Excel(name = "地址")
    private float gps_long;

    /** 地址 */
    @Excel(name = "地址")
    private float gps_lat;

    /** 时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "时间")
    private Date createtime;

    public Integer getStatus_type() {
        return status_type;
    }

    public void setStatus_type(Integer status_type) {
        this.status_type = status_type;
    }

    public Integer getAlarm_type() {
        return alarm_type;
    }

    public void setAlarm_type(Integer alarm_type) {
        this.alarm_type = alarm_type;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getTel_one() {
        return tel_one;
    }

    public void setTel_one(String tel_one) {
        this.tel_one = tel_one;
    }

    public float getGps_long() {
        return gps_long;
    }

    public void setGps_long(float gps_long) {
        this.gps_long = gps_long;
    }

    public float getGps_lat() {
        return gps_lat;
    }

    public void setGps_lat(float gps_lat) {
        this.gps_lat = gps_lat;
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }
}
